// Gmsh project created on Tue Mar 31 15:09:01 2015

L=3; // Length of the cell
l=2; // Width of the cell
e=0.15; //width of the hexagonal path
d=0.75; //Side of the hexagon
density=0.1;


Point(1) = {0, 0, 0, density};
Point(2) = {0, L, 0, density};
Point(3) = {l, L, 0, density};
Point(4) = {l, 0, 0, density};
Point(5) = {l/2-e/2, L, 0, density};
Point(6) = {l/2+e/2, L, 0, density};
Point(7) = {l/2+e/2, 0, 0, density};
Point(8) = {l/2-e/2, 0, 0, density};
Point(9) = {l/2-e/2, d/2, 0, density};
Point(10) = {l/2+e/2, d/2, 0, density};
Point(11) = {l/2+e/2, L-d/2, 0, density};
Point(12) = {l/2-e/2, L-d/2, 0, density};
Point(13) = {0, L/2-d/2, 0, density};
Point(14) = {0, L/2+d/2, 0, density};
Point(15) = {l, L/2+d/2, 0, density};
Point(16) = {l, L/2-d/2, 0, density};
Point(17) = {l/2, d/2+e/2, 0, density};
Point(18) = {l/2, L-d/2-e/2, 0, density};
Point(19) = {e/2, L/2-d/2+e/2, 0, density};
Point(20) = {e/2, L/2+d/2-e/2, 0, density};
Point(21) = {l-e/2, L/2+d/2-e/2, 0, density};
Point(22) = {l-e/2, L/2-d/2+e/2, 0, density};
Line(1) = {1, 8};
Line(2) = {8, 7};
Line(3) = {7, 4};
Line(4) = {4, 16};
Line(5) = {16, 15};
Line(6) = {15, 3};
Line(7) = {3, 6};
Line(8) = {6, 5};
Line(9) = {5, 2};
Line(10) = {2, 14};
Line(11) = {14, 13};
Line(12) = {13, 1};
Line(13) = {8, 9};
Line(14) = {7, 10};
Line(15) = {10, 16};
Line(16) = {15, 11};
Line(17) = {11, 6};
Line(18) = {12, 5};
Line(19) = {12, 14};
Line(20) = {13, 9};
Line(21) = {17, 22};
Line(22) = {22, 21};
Line(23) = {21, 18};
Line(24) = {18, 20};
Line(25) = {20, 19};
Line(26) = {19, 17};
Line Loop(27) = {2, 14, 15, 5, 16, 17, 8, -18, 19, 11, 20, -13};
Line Loop(28) = {21, 22, 23, 24, 25, 26};
Plane Surface(29) = {27, 28};
Line Loop(30) = {1, 13, -20, 12};
Plane Surface(31) = {30};
Line Loop(32) = {3, 4, -15, -14};
Plane Surface(33) = {32};
Line Loop(34) = {6, 7, -17, -16};
Plane Surface(35) = {34};
Line Loop(36) = {9, 10, -19, 18};
Plane Surface(37) = {36};
Plane Surface(38) = {28};
Physical Surface("Skeleton") = {29};
Physical Surface("Air") = {38, 37, 35, 31, 33};
